> ## Documentation Index
> Fetch the complete documentation index at: https://nocotax.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Start developing

> Get started with the Nocotax API

## Get started in three steps

Get Nocotax API running locally and make your first API calls.

### Step 1: Create your Nocotax account and finish the setup process

> [accordion] Create your Nocotax account

> [accordion] Finish the setup process
>
> Follow the onboarding flow to enter your account details such as the default timezone and currency, the billing information of your own organization, and the tax configuration for your organization.
>
> > [!TIP]
> >
> > Unsure of your current tax configuration setup? You can still add/remove tax registrations later on.

### Step 2: Send your first API request

> [accordion] Retrieve your API credentials
>
> By default, all accounts have a total of three API credentials:
>
> | Type | Description |
> | - | - |
> | `Account ID` | An unique ID referencing your account. It's used in the Basic Auth Scheme for API requests as the ID credential. |
> | `Test API Key` | Authenticate requests on your server when you’re testing in a sandbox. By default, you can use this key to perform any API request without restriction. Reserve this key for testing and development to make sure you don’t accidentally modify your live data. |
> | `Live API Key` | Authenticate requests on your server when in live mode. Don’t expose this key on a website or embed it in a mobile application. You can only use this key to perform any API request after subscribing to a paid plan |
>
> Your credentials are stored on the [Developers settings](https://app.nocotax.app/settings/developers/credentials) tab in the dashboard.
>
> > [!TIP]
> >
> > Try changing the primary color to see an immediate difference!

> [accordion] Create a sample organization in Sandbox
>
> You can begin exploring Nocotax APIs using the HTTPs client of your choice (curl, postman...), along with your API keys (see below).
>
> Operating in sandbox environment, you don't have to worry about altering production data when doing the following tests.
>
> 1. To create an organization using the Nocotax API, send the following API request
>
> ```bash theme={null}
> curl -X POST https://api.nocotax.app/organizations \
> -u ${ACCOUNT_ID}:${TEST_API_KEY} \
> -d 'name=Test Customer' \
> -d 'roles[]=BUYER' \
> -d 'billing_address[country]=FR'
> ```
>
> 2. If everything worked, you should see a response, with a JSON body embeded, containing the ID of the newly created organization:
>
>    ```json theme={null}
>    {
>    	"id": "org_xxxxxxxxxxxx",
>    	"object": "organization",
>    	// ...
>    }
>
>    ```

> [!NOTE]
>
> **Need help?** See our [full API documentation](https://app.nocotax.app/apidoc).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.